### Method

# Adw OverlaySplitView set_sidebar_width_unit

since: 1.4

#### Declaration [src]

    void
    adw_overlay_split_view_set_sidebar_width_unit (
      AdwOverlaySplitView* self,
      AdwLengthUnit unit
    )

#### Description [src]

Sets the length unit for minimum and maximum sidebar widths.

See `AdwOverlaySplitView:min-sidebar-width` and `AdwOverlaySplitView:max-sidebar-width`.

Available since: 1.4

Sets property | `Adw.OverlaySplitView:sidebar-width-unit`

#### Parameters

`unit`

  Type: `AdwLengthUnit`

  The length unit.